import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END } from "../../../lib/redux/slices/appSlice";

export const avicultureGetUnions = createAsyncThunk(
  "AVICULTURE_GET_UNIONS",
  async (d, { dispatch }) => {
    const { data, status } = await axios.get("show_city_operator", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
